commit:     62f8b4a9746eebdf72c2614649aa8e3e33834d42
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 06:39:59 2019 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 06:57:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62f8b4a9

sys-cluster/keepalived: catch up to new features

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 sys-cluster/keepalived/keepalived-2.0.13-r1.ebuild | 90 ++++++++++++++++++++++
 sys-cluster/keepalived/metadata.xml                |  2 +
 2 files changed, 92 insertions(+)

diff --git a/sys-cluster/keepalived/keepalived-2.0.13-r1.ebuild 
b/sys-cluster/keepalived/keepalived-2.0.13-r1.ebuild
new file mode 100644
index 00000000000..087c4966826
--- /dev/null
+++ b/sys-cluster/keepalived/keepalived-2.0.13-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="A strong & robust keepalive facility to the Linux Virtual Server 
project"
+HOMEPAGE="http://www.keepalived.org/";
+SRC_URI="http://www.keepalived.org/software/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="+bfd dbus debug -json regex snmp"
+
+RDEPEND="dev-libs/libnl:=
+       dev-libs/openssl:=
+       dev-libs/popt
+       net-libs/libnfnetlink
+       sys-apps/iproute2
+       regex? ( >=dev-libs/libpcre2-8 )
+       dbus? ( sys-apps/dbus )
+       json? ( dev-libs/json-c:= )
+       snmp? ( net-analyzer/net-snmp )"
+DEPEND="${RDEPEND}
+       >=sys-kernel/linux-headers-4.4"
+
+DOCS=(
+       README CONTRIBUTORS INSTALL ChangeLog AUTHOR TODO
+       doc/keepalived.conf.SYNOPSIS doc/NOTE_vrrp_vmac.txt
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       # keepalived has support to dynamically use some libraries instead of
+       # linking them:
+       #--enable-dynamic-linking \
+       #--enable-libiptc-dynamic \
+       #--enable-libnl-dynamic \
+       #--enable-libxtables-dynamic \
+       STRIP=/bin/true \
+       econf \
+               --with-init=custom \
+               --with-kernel-dir=/usr \
+               --enable-sha1 \
+               --enable-vrrp \
+               $(use_enable bfd) \
+               $(use_enable dbus) \
+               $(use_enable dbus dbus-create-instance) \
+               $(use_enable debug) \
+               $(use_enable json) \
+               $(use_enable regex) \
+               $(use_enable regex regex-timers ) \
+               $(use_enable snmp) \
+               $(use_enable snmp) \
+               $(use_enable snmp) \
+               $(use_enable snmp snmp-checker) \
+               $(use_enable snmp snmp-rfc) \
+               $(use_enable snmp snmp-rfcv2) \
+               $(use_enable snmp snmp-rfcv3) \
+               $(use_enable snmp snmp-vrrp)
+}
+
+src_install() {
+       default
+
+       newinitd "${FILESDIR}"/keepalived.init-r1 keepalived
+       newconfd "${FILESDIR}"/keepalived.confd-r1 keepalived
+
+       systemd_newunit "${FILESDIR}"/${PN}.service ${PN}.service
+       systemd_install_serviced "${FILESDIR}/${PN}.service.conf"
+
+       use snmp && dodoc doc/*MIB.txt
+
+       docinto genhash
+       dodoc genhash/README genhash/AUTHOR genhash/ChangeLog
+       # This was badly named by upstream, it's more HOWTO than anything else.
+       newdoc INSTALL INSTALL+HOWTO
+
+       # Security risk to bundle SSL certs
+       rm -v "${ED}"/etc/keepalived/samples/*.pem || die
+       # Clean up sysvinit files
+       rm -rv "${ED}"/etc/sysconfig || die
+}

diff --git a/sys-cluster/keepalived/metadata.xml 
b/sys-cluster/keepalived/metadata.xml
index 4de8679ae12..8c58db84058 100644
--- a/sys-cluster/keepalived/metadata.xml
+++ b/sys-cluster/keepalived/metadata.xml
@@ -9,6 +9,8 @@
                VRRP2 implementation. Used for setting up high availability 
clusters.
        </longdescription>
        <use>
+               <flag name="bfd">compile with support for Bidirectional 
Forwarding Detection (BFD).</flag>
                <flag name="json">compile with signal to dump configuration and 
stats as JSON.</flag>
+               <flag name="regex">compile with support for regex in health 
checks</flag>
        </use>
 </pkgmetadata>

Reply via email to